Scala Compiler2.12.2-20170504-135222-21d12e9 < Back
 

# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package cmd
  Definition Classes
    tools
-  object Opt

  Machinery for what amounts to a command line specification DSL.

  Machinery for what amounts to a command line specification DSL. It is designed so the same specification trait can be used for two different purposes: generating a singleton specification object (trait Reference) and providing well typed vals for every configurable option in response to any given set of arguments (trait Instance).

  Definition Classes
    cmd
- Error
- Implicit
- Instance
- Reference

c

scala.tools.cmd.Opt

# Instance 

###

#### class Instance extends Implicit with Error

Source
  Opt.scala

Linear Supertypes
Error, Implicit, AnyRef, Any
Type Hierarchy
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. Instance
2. Error
3. Implicit
4. AnyRef
5. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1.  new Instance(programInfo: Info, parsed: CommandLine, name: String)

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  def +(other: String): String
   Implicit
     This member is added by an implicit conversion from Instance to any2stringadd[Instance] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd
4.  def -->(body: ⇒ Unit): Boolean
   Definition Classes
     Instance → Implicit
5.  def --?: Boolean
   Definition Classes
     Instance → Implicit
6.  def --^[T](implicit arg0: FromString[T]): Option[T]
   Definition Classes
     Instance → Implicit
7.  def --|: Option[String]
   Definition Classes
     Instance → Implicit
8.  def ->[B](y: B): (Instance, B)
   Implicit
     This member is added by an implicit conversion from Instance to ArrowAssoc[Instance] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()
9.  def /(descr: String): String

   Help.

   Help.

   Definition Classes
     Instance → Implicit
10.  final def ==(arg0: Any): Boolean
    Definition Classes
      AnyRef → Any
11.  final def asInstanceOf[T0]: T0
    Definition Classes
      Any
12.  def choiceOf[T](choices: T*)(implicit arg0: FromString[T]): Option[T]
    Definition Classes
      Instance → Implicit
13.  def clone(): AnyRef
    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
14.  def defaultTo[T](default: T)(implicit arg0: FromString[T]): T

    Names.

    Names.

    Definition Classes
      Instance → Implicit
15.  def defaultToEnv(envVar: String): String
    Definition Classes
      Instance → Implicit
16.  def ensuring(cond: (Instance) ⇒ Boolean, msg: ⇒ Any): Instance
    Implicit
      This member is added by an implicit conversion from Instance to Ensuring[Instance] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
17.  def ensuring(cond: (Instance) ⇒ Boolean): Instance
    Implicit
      This member is added by an implicit conversion from Instance to Ensuring[Instance] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
18.  def ensuring(cond: Boolean, msg: ⇒ Any): Instance
    Implicit
      This member is added by an implicit conversion from Instance to Ensuring[Instance] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
19.  def ensuring(cond: Boolean): Instance
    Implicit
      This member is added by an implicit conversion from Instance to Ensuring[Instance] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
20.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
21.  def equals(arg0: Any): Boolean
    Definition Classes
      AnyRef → Any
22.  def expandTo(args: String*): Unit
    Definition Classes
      Instance → Implicit
23.  def fail(msg: String): Nothing
    Attributes
      protected
    Definition Classes
      Error
24.  def failOption(arg: String, why: String): Nothing
    Attributes
      protected
    Definition Classes
      Error
25.  def finalize(): Unit
    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
26.  def formatted(fmtstr: String): String
    Implicit
      This member is added by an implicit conversion from Instance to StringFormat[Instance] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()
27.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
28.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
29.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
30.  val name: String
    Definition Classes
      Instance → Implicit
31.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
32.  final def notify(): Unit
    Definition Classes
      AnyRef
33.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
34.  def opt: String
    Attributes
      protected
    Definition Classes
      Implicit
35.  def optMap[T](f: (String) ⇒ T): Option[T]
    Definition Classes
      Implicit
36.  val parsed: CommandLine
37.  val programInfo: Info
    Definition Classes
      Instance → Implicit
38.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
39.  def toString(): String
    Definition Classes
      AnyRef → Any
40.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
41.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
42.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
43.  def →[B](y: B): (Instance, B)
    Implicit
      This member is added by an implicit conversion from Instance to ArrowAssoc[Instance] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Inherited from Error

### Inherited from Implicit

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from Instance to any2stringadd[Instance]

### Inherited by implicit conversion StringFormat from Instance to StringFormat[Instance]

### Inherited by implicit conversion Ensuring from Instance to Ensuring[Instance]

### Inherited by implicit conversion ArrowAssoc from Instance to ArrowAssoc[Instance]

### Ungrouped